%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate buffered-reader

Name:           rust-buffered-reader
Version:        1.3.1
Release:    1%{?dist}
Summary:        Super-powered Reader

License:        LGPL-2.0-or-later
URL:            https://crates.io/crates/buffered-reader
Source0:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A super-powered Reader.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE.txt
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+bzip2-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+bzip2-devel %{_description}

This package contains library source intended for building other packages which
use the "bzip2" feature of the "%{crate}" crate.

%files       -n %{name}+bzip2-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+compression-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+compression-devel %{_description}

This package contains library source intended for building other packages which
use the "compression" feature of the "%{crate}" crate.

%files       -n %{name}+compression-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+compression-bzip2-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+compression-bzip2-devel %{_description}

This package contains library source intended for building other packages which
use the "compression-bzip2" feature of the "%{crate}" crate.

%files       -n %{name}+compression-bzip2-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+compression-deflate-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+compression-deflate-devel %{_description}

This package contains library source intended for building other packages which
use the "compression-deflate" feature of the "%{crate}" crate.

%files       -n %{name}+compression-deflate-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+flate2-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+flate2-devel %{_description}

This package contains library source intended for building other packages which
use the "flate2" feature of the "%{crate}" crate.

%files       -n %{name}+flate2-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.1-1
- initial build
